<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="OTHER" id="7">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (sprite_index == sAttackLeft or sprite_index == sDamselAttackL or sprite_index == sTunnelAttackL) {
  whipping = false;
  if (holdItem) holdItem.visible = true;
} else if (sprite_index == sDuckToHangL or sprite_index == sDamselDtHL or sprite_index == sTunnelDtHL) {
  y = y+16;
  move_snap(1, 8);
  xVel = 0;
  yVel = 0;
  xAcc = 0;
  yAcc = 0;
  grav = 0;
  if (facing == LEFT) {
    obj = collision_point(x-8, y, oLadder, 0, 0);
    if (!obj) obj = collision_point(x-8, y, oLadderTop, 0, 0);
  } else {
    obj = collision_point(x+8, y, oLadder, 0, 0);
    if (!obj) obj = collision_point(x+8, y, oLadderTop, 0, 0);
  }
  if (instance_exists(obj)) {
    state = CLIMBING;
    x = obj.x+8;
  } else if (facing == LEFT) {
    state = HANGING;
    facing = RIGHT;
    x = x-6;
    x += 1;
  } else {
    state = HANGING;
    facing = LEFT;
    x = x+6;
  }
} else if (sprite_index == sPExit or sprite_index == sDamselExit or sprite_index == sTunnelExit) {
  if (global.collect &gt; 0) {
    global.money += global.collect;
    global.collect = 0;
  }
  scrPlayerExit(); // Moved to script - YASM 1.7
  global.cleanSolids = true;
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
